Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.ebusiness.shipping
Interface ShippingManager

public interface ShippingManager
extends Session

Manages the creation and removal of PackingLists. It also provides an interface to Shipping Methods.

See Also:
  `ShippingManagerHome`, `ShippingManagerImpl`

Method Summary
`PackingList` | `createPackingList(Order order)` Create Packing List will create a packing list by combining an and customer key.
`com.sun.java.util.collections.Collection` | `getPendingPackingLists()` Return a vector that contains the orderKey of all outstanding PackingLists.
`java.util.Enumeration` | `getShippingMethods()`

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### getShippingMethods

    public java.util.Enumeration getShippingMethods()
                                             throws java.rmi.RemoteException,
                                                    FinderException

### createPackingList

    public PackingList createPackingList(Order order)
                                  throws java.rmi.RemoteException

  Create Packing List will create a packing list by combining an and customer key. The user of this class is required to set other values separately.

### getPendingPackingLists

    public com.sun.java.util.collections.Collection getPendingPackingLists()
                                                                    throws java.rmi.RemoteException

  Return a vector that contains the orderKey of all outstanding PackingLists.

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.